From: Tobias Geerinckx-Rice <me@tobias.gr>
Date: Sat, 14 Nov 2020 15:40:38 +0100
Subject: [PATCH] gnu: perl-www-curl: Remove undeclared symbols.

Copied verbatim from the FreeBSD port[0].

[0]: https://www.freshports.org/www/p5-WWW-Curl

--- a/Makefile.PL	2014-02-21 08:08:09.000000000 -0800
+++ b/Makefile.PL	2020-04-20 15:36:35.008798000 -0700
@@ -100,6 +100,13 @@
      print "Found curl.h in $curl_h\n";
      my @syms;
      my $has_cpp = 0;
+     my @skiplist = qw/
+        CURL_DID_MEMORY_FUNC_TYPEDEFS
+        CURL_STRICTER
+        CURLINC_CURL_H
+        CURL_WIN32
+        CURLOPT
+     /;
      open(H_IN, "-|", "cpp", $curl_h) and $has_cpp++;
      unless ($has_cpp) {
          warn "No working cpp ($!).  Parsing curl.h in Perl";
@@ -121,6 +128,7 @@
     open (H, "<", $curl_h) or die ("Cannot open $curl_h: ".$!);
     while(<H>) {
         if (/^#define (CURL[A-Za-z0-9_]*)/) {
+            next if $1 ~~ @skiplist;
             push @syms, $1;
         }
     }
>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=42da990859d41a4da9f74e4d20fe5c5b972ada18'>refs</a><a class='active' href='/guix/log/gnu/packages/wget.scm'>log</a><a href='/guix/tree/gnu/packages/wget.scm?id=42da990859d41a4da9f74e4d20fe5c5b972ada18'>tree</a><a href='/guix/commit/gnu/packages/wget.scm?id=42da990859d41a4da9f74e4d20fe5c5b972ada18'>commit</a><a href='/guix/diff/gnu/packages/wget.scm?id=42da990859d41a4da9f74e4d20fe5c5b972ada18'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/wget.scm'>
<input type='hidden' name='id' value='42da990859d41a4da9f74e4d20fe5c5b972ada18'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/log/?id=42da990859d41a4da9f74e4d20fe5c5b972ada18'>root</a>/<a href='/guix/log/gnu?id=42da990859d41a4da9f74e4d20fe5c5b972ada18'>gnu</a>/<a href='/guix/log/gnu/packages?id=42da990859d41a4da9f74e4d20fe5c5b972ada18'>packages</a>/<a href='/guix/log/gnu/packages/wget.scm?id=42da990859d41a4da9f74e4d20fe5c5b972ada18'>wget.scm</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/guix/log/gnu/packages/wget.scm?id=42da990859d41a4da9f74e4d20fe5c5b972ada18&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
<tr><td><span title='2020-09-05 22:30:04 +0300'>2020-09-05</span></td><td><a href='/guix/commit/gnu/packages/wget.scm?id=de3c03a47160dec355d9b19ad5ca210d90c15fd7'>Merge remote-tracking branch 'origin/master' into staging</a></td><td>Efraim Flashner</td></tr>
<tr><td><span title='2020-09-01 04:44:34 +0200'>2020-09-01</span></td><td><a href='/guix/commit/gnu/packages/wget.scm?id=30714da09a50bf20780e9903104e29c930da855a'>gnu: wgetpaste: Update bpaste URL &amp; regular expressions.</a><span class='msg-avail'>...</span></td><td>Tobias Geerinckx-Rice</td></tr>
<tr><td><span title='2020-09-01 04:44:34 +0200'>2020-09-01</span></td><td><a href='/guix/commit/gnu/packages/wget.scm?id=7b88396febe35e05bb4f67ed609204c8533314d8'>gnu: wgetpaste: Update to 2.30.</a><span class='msg-avail'>...</span></td><td>Tobias Geerinckx-Rice</td></tr>
<tr><td><span title='2020-09-01 04:44:34 +0200'>2020-09-01</span></td><td><a href='/guix/commit/gnu/packages/wget.scm?id=1b0755012b38fded6059c10849dc16e3e50ed8b8'>gnu: wgetpaste: Use HTTPS home page.</a><span class='msg-avail'>...</span></td><td>Tobias Geerinckx-Rice</td></tr>
<tr><td><span title='2020-09-01 04:44:34 +0200'>2020-09-01</span></td><td><a href='/guix/commit/gnu/packages/wget.scm?id=57ea4dfca1212687213a2db8cd47addf85e2ea3f'>gnu: wgetpaste: Fix historical confusion.</a><span class='msg-avail'>...</span></td><td>Tobias Geerinckx-Rice</td></tr>
<tr><td><span title='2020-07-03 10:56:21 +0200'>2020-07-03</span></td><td><a href='/guix/commit/gnu/packages/wget.scm?id=8a6898b60173ff9c70f53a5641335c2e99d51a7e'>gnu: wget: Cross-build fix.</a><span class='msg-avail'>...</span></td><td>Jan (janneke) Nieuwenhuizen</td></tr>
